package model

import (
	"dy-admin/internal/pcmserver/common"
	"time"
)

type CronLog struct {
	common.Model
	ExecTime  time.Time `json:"execTime" gorm:"comment:执行时间"`
	CronName  string    `json:"cronName" gorm:"comment:'定时任务名称'"`
	CronRes   string    `json:"cronRes" gorm:"comment:'定时任务结果'"`
	CreatedAt time.Time `json:"createdAt" gorm:"comment:创建时间"`
	UpdatedAt time.Time `json:"updatedAt" gorm:"comment:最后更新时间"`
}

func (m *CronLog) TableName() string {
	return "bus_cron_logs"
}
