package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type BusConfigRouter struct {
}

func (s *BusConfigRouter) InitBusConfigRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/config").Use(my_middleware.OperationRecord())
	busConfigApi := v1.BusinessApiGroup.BusConfigApi
	{
		apiRouter.PUT("", busConfigApi.UpdateBusConfig)
		apiRouter.GET("", busConfigApi.GetBusConfig)
	}
}
