package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type CabinetTimeRouter struct {
}

func (s *StaffRouter) InitCabinetTimeRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/cabinetTime").Use(my_middleware.OperationRecord())
	cabinetTimeRouterApi := v1.BusinessApiGroup.CabinetTimeApi
	{
		apiRouter.POST("", cabinetTimeRouterApi.CreateCabinetTime)
		apiRouter.PUT("", cabinetTimeRouterApi.ChangeUseStatus)
		apiRouter.GET("", cabinetTimeRouterApi.GetCabinetTimeList)
		apiRouter.DELETE("", cabinetTimeRouterApi.DeleteCabinetTime)
	}
}
