package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type DeviceLogRouter struct {
}

func (s *GridOpenLogRouter) InitDeviceLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/device").Use(my_middleware.OperationRecord())
	deviceLogApi := v1.BusinessApiGroup.DeviceLogApi
	{
		apiRouter.POST("", deviceLogApi.CreateDeviceLog)
		apiRouter.DELETE("", deviceLogApi.DeleteDeviceLog)
		apiRouter.GET("list", deviceLogApi.GetDeviceLogList)
	}
}
