package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type MemoryInfoRouter struct {
}

func (s *MemoryInfoRouter) InitMemoryInfoRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/mem").Use(my_middleware.OperationRecord())
	memoryInfoRouterApi := v1.BusinessApiGroup.MemoryInfoApi
	{
		apiRouter.GET("cabinets", memoryInfoRouterApi.GetCabinets)
		apiRouter.GET("jobs", memoryInfoRouterApi.GetJobs)
		apiRouter.GET("config", memoryInfoRouterApi.GetConfig)
	}
}
