package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type SpecTimeRouter struct {
}

func (s *StaffRouter) InitSpecTimeRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/specTime").Use(my_middleware.OperationRecord())
	specTimeRouterApi := v1.BusinessApiGroup.SpecialTimeApi
	{
		apiRouter.POST("", specTimeRouterApi.CreateSpecialTime)
		apiRouter.PUT("", specTimeRouterApi.UpdateSpecialTime)
		apiRouter.PUT("status", specTimeRouterApi.UpdateSpecialTimeStatus)
		apiRouter.GET("", specTimeRouterApi.GetSpecialTimeList)
		apiRouter.DELETE("", specTimeRouterApi.DeleteSpecialTime)

	}
}
