package common

type PageInfo struct {
	Page     int    `json:"page" form:"page"`         // 页码
	PageSize int    `json:"pageSize" form:"pageSize"` // 每页大小
	Keyword  string `json:"keyword" form:"keyword"`   //关键字
}

type GetById struct {
	ID int `json:"id" form:"id"` // 主键ID
}

func (r *GetById) Uint() uint {
	return uint(r.ID)
}

type IdReq struct {
	ID int `json:"id" form:"id"`
}

type IdsReq struct {
	IDs string `json:"ids" form:"ids"`
}

type GetRoleID struct {
	RoleID int `json:"roleId" form:"roleId"` // 角色ID
}

type GetRoleIDs struct {
	RoleIDs []int `json:"roleIds" form:"roleIds"` // 角色IDs
}

type WSReq struct {
	UserID int `json:"userId" form:"userId"`
	DeptID int `json:"deptId" form:"deptId"`
}

type Empty struct{}
