package sys

func InitSystemData() error {
	var err error
	if err = initApiData(); err != nil {
		return err
	}
	if err = initMenuData(); err != nil {
		return err
	}
	if err = initRoleData(); err != nil {
		return err
	}
	if err = initUserData(); err != nil {
		return err
	}
	if err = initConfig(); err != nil {
		return err
	}
	return nil
}

func UpdateSystemData() error {
	var err error
	if err = initApiData(); err != nil {
		return err
	}
	if err = initMenuData(); err != nil {
		return err
	}
	if err = updateRoleData(); err != nil {
		return err
	}
	if err = initConfig(); err != nil {
		return err
	}
	return nil
}
