package v1

import "dy-admin/internal/pcmserver/sys/service"

type ApiGroup struct {
	ApiApi
	DeptApi
	MenuApi
	RoleApi
	UserApi
	OperationRecordApi
	LoginRecordApi
}

var SystemApiGroup = new(ApiGroup)

var (
	apiService             = service.ServicesGroupApp.ApiService
	casbinService          = service.ServicesGroupApp.CasbinService
	deptService            = service.ServicesGroupApp.DeptService
	menuService            = service.ServicesGroupApp.MenuService
	roleService            = service.ServicesGroupApp.RoleService
	userService            = service.ServicesGroupApp.UserService
	operationRecordService = service.ServicesGroupApp.OperationRecordService
	loginRecordService     = service.ServicesGroupApp.LoginRecordService
)
