package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type LoginRecordRouter struct {
}

func (s *LoginRecordRouter) InitLoginRecordRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/loginRecord").Use(my_middleware.OperationRecord())
	loginRecordRouterApi := v1.SystemApiGroup.LoginRecordApi
	{
		apiRouter.DELETE("ids", loginRecordRouterApi.DeleteLoginRecordByIds)
		apiRouter.GET("", loginRecordRouterApi.FindLoginRecord)
		apiRouter.GET("list", loginRecordRouterApi.GetLoginRecordList)
	}
}
