package v1

import "dy-admin/internal/pcmserver/bus/service"

type ApiGroup struct {
	LeaveLogApi
	StaffApi
	GridApi
	CabinetApi
	GridOpenLogApi
	GridStoreLogApi
	GridWarnLogApi
	CabinetTimeApi
	WorkTimeApi
	SpecialTimeApi
	MemoryInfoApi
	StatisticApi
	DeviceLogApi
	CronLogApi
	ConnectLogApi
	BusConfigApi
}

var BusinessApiGroup = new(ApiGroup)

var (
	leaveLogService     = service.ServicesGroupApp.LeaveLogService
	staffService        = service.ServicesGroupApp.StaffService
	gridService         = service.ServicesGroupApp.GridService
	cabinetService      = service.ServicesGroupApp.CabinetService
	gridOpenLogService  = service.ServicesGroupApp.GridOpenLogService
	gridStoreLogService = service.ServicesGroupApp.GridStoreLogService
	gridWarnLogService  = service.ServicesGroupApp.GridWarnLogService
	cabinetTimeService  = service.ServicesGroupApp.CabinetTimeService
	workTimeService     = service.ServicesGroupApp.WorkTimeService
	specialTimeService  = service.ServicesGroupApp.SpecialTimeService
	memoryInfoService   = service.ServicesGroupApp.MemoryInfoService
	DeviceLogService    = service.ServicesGroupApp.DeviceLogService
	CronLogService      = service.ServicesGroupApp.CronLogService
	ConnectService      = service.ServicesGroupApp.ConnectLogService
	BusConfigService    = service.ServicesGroupApp.BusConfigService
)
