package model

import (
	"dy-admin/internal/pcmserver/common"
	"time"
)

type ConnectLog struct {
	common.Model
	IP        string    `json:"ip" gorm:"comment:'连接ip'"`
	Msg       string    `json:"msg" gorm:"comment:'连接信息'"`
	CreatedAt time.Time `json:"createdAt" gorm:"comment:创建时间"`
	UpdatedAt time.Time `json:"updatedAt" gorm:"comment:最后更新时间"`
}

func (ll *ConnectLog) TableName() string {
	return "bus_connect_logs"
}
