package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type CronLogRouter struct {
}

func (s *GridOpenLogRouter) InitCronLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/cron").Use(my_middleware.OperationRecord())
	cronLogApi := v1.BusinessApiGroup.CronLogApi
	{
		apiRouter.DELETE("", cronLogApi.DeleteCronLog)
		apiRouter.GET("list", cronLogApi.GetCronLogList)
	}
}
