package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type GridRouter struct {
}

func (s *GridRouter) InitGridRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/grid").Use(my_middleware.OperationRecord())
	gridRouterApi := v1.BusinessApiGroup.GridApi
	{
		apiRouter.POST("open", gridRouterApi.OpenGrid)
		apiRouter.GET("list", gridRouterApi.GetCabinetGrids)
	}
}
