package code

// 基础错误

const (
	ErrBindCode = iota + 990000
	ErrValidationCode
	ErrPageNotFoundCode
)

const (
	ErrDatabaseCode int = iota + 990100
	ErrIllegalOrderFieldCode
)

const (
	ErrTokenExpiredCode = iota + 990200
	ErrTokenInvalidCode
	ErrInvalidAuthHeaderCode
	ErrMissingHeaderCode
	ErrPasswordIncorrectCode
	ErrPermissionDeniedCode
	ErrJwtInstanceCode
	ErrDataPermissionCode
)

const (
	ErrEncodingFailedCode = iota + 990300
	ErrDecodingFailedCode
	ErrInvalidJSONCode
	ErrEncodingJSONCode
	ErrDecodingJSONCode
)

const (
	ErrWSConnectCode = iota + 990400
)
