package request

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/sys/model"
)

type SearchApiParams struct {
	model.Api
	common.PageInfo
	OrderKey string `json:"orderKey" form:"orderKey"` // 排序
	Desc     bool   `json:"desc" form:"desc"`         // 排序方式:升序false(默认)|降序true
}

type ExportApiParams struct {
	model.Api
	OrderKey string `json:"orderKey" form:"orderKey"` // 排序
	Desc     bool   `json:"desc" form:"desc"`         // 排序方式:升序false(默认)|降序true
}
