package router

import (
	"dy-admin/internal/pcmserver/resource"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type BaseRouter struct{}

func (s *BaseRouter) InitBaseRouter(Router *gin.RouterGroup) {
	baseRouter := Router.Group("base")
	userRouterApi := v1.SystemApiGroup.UserApi
	//baseApi := v1.ApiGroupApp.SystemApiGroup.BaseApi
	{
		baseRouter.GET("initData", resource.InitData)
		baseRouter.GET("updateData", resource.UpdateData)
		baseRouter.POST("login", userRouterApi.Login)

	}
}
